import 'package:meta/meta.dart';

/**
 * Wymagane nazwane argumenty funkcji
 */
sayHello(String name, {@required String additionalMessage}) =>
    "Hello $name. $additionalMessage";

void main() {
  var hello = sayHello('my friend',
      additionalMessage:
          "How are you?"); // brak określenia nazwy parametru spowoduje
// pokazanie podpowiedzi w edytorze lub podczas uruchomienia dartanalyzera
// na konsoli
  print(hello);
}
